.custom-hamburger-menu__button {
    display: flex;
    justify-content: center;
}

.custom-hamburger-menu__button > img {
    cursor: pointer;
    z-index: 999;
}

.custom-hamburger-menu__overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgb(0 0 0 / 33%);
    backdrop-filter: blur(21px);
    display: none;
    z-index: 99;
}
.custom-hamburger-menu__logo {
    position: absolute;
    top: 20px;
    left: 20px;
    font-size: 24px;
    color: white;
    display: none;
}
.custom-hamburger-menu__content {
    display: flex;
    height: 100%;
    flex-direction: column;
}
.custom-hamburger-menu__nav {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-left: 10%;
    font-family: 'Space Grotesk', sans-serif;
}
.custom-hamburger-menu__nav-item {
    font-size: 36px;
    color: white;
    margin: 10px 0;
    cursor: pointer;
    opacity: 0;
    transform: translateX(-20px);
}
.custom-hamburger-menu__right-column {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.custom-hamburger-menu__image {
    width: 200px;
    height: 200px;
    margin-bottom: 20px;
    opacity: 0;
}

.custom-hamburger-menu__image > img {
    width: 300px;
    height: 300px;
    object-fit: cover;
}
.custom-hamburger-menu__socials {
    display: flex;
    justify-content: center;
}
.custom-hamburger-menu__social-icon {
    color: white;
    font-size: 24px;
    margin: 0 10px;
    cursor: pointer;
    opacity: 0;
}

@media (min-width: 768px) {
    .custom-hamburger-menu__content {
        flex-direction: row;
    }
    .custom-hamburger-menu__nav-item {
        font-size: 48px;
        margin: 20px 0;
    }
    .custom-hamburger-menu__image {
        width: 300px;
        height: 300px;
        margin-bottom: 30px;
    }
}